/**
 * @brief Window manager
 * @author Christian Burger (christian@krikkel.de)
 */

#ifndef B7BCF793_2FAB_49CC_9E00_CDEA370D38F9
#define B7BCF793_2FAB_49CC_9E00_CDEA370D38F9

#include "TilingWindowManager.hpp"

namespace krikkel::NCurses
{
    class Window;
    class SingleUserInput;

    class HorizontalTilingWindowManager : public TilingWindowManager
    {
        public:
            HorizontalTilingWindowManager(NCursesWindow *rootWindow, std::recursive_mutex *ncursesMutex);
            void updateLayout() override;
    };
}


#endif /* B7BCF793_2FAB_49CC_9E00_CDEA370D38F9 */
