/**
 * @brief Window manager
 * @author Christian Burger (christian@krikkel.de)
 */

#ifndef C10F5DF3_1DB4_4714_A84D_115F492F5CDC
#define C10F5DF3_1DB4_4714_A84D_115F492F5CDC

#include "TilingWindowManager.hpp"

namespace krikkel::NCurses
{
    class Window;
    class SingleUserInput;

    class VerticalTilingWindowManager : public TilingWindowManager
    {
        public:
            VerticalTilingWindowManager(NCursesWindow *rootWindow, std::recursive_mutex *ncursesMutex);
            void updateLayout() override;
    };
}


#endif /* C10F5DF3_1DB4_4714_A84D_115F492F5CDC */
