##
# @brief Includes Microsoft's "C++ Guidelines Standard Library"
# @author Christian Burger <christian@krikkel.de>

find_path(GSL_INCLUDE_DIR "gsl/gsl" REQUIRED)
if(NOT GSL_INCLUDE_DIR)
    message(SEND_ERROR "Microsoft GSL not found.")
else()
    message(STATUS "Found Microsoft C++ GSL.")
    include_directories(SYSTEM ${GSL_INCLUDE_DIR})
endif()